$ErrorActionPreference = 'Stop';

$packageName = 'teamviewer'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.teamviewer.com/download/version_12x/TeamViewer_Setup.exe'
$url64      = 'https://download.teamviewer.com/download/version_12x/TeamViewer_Setup.exe'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  softwareName  = 'teamviewer*'

  checksum      = 'be1d02379d24be3a843d066fe6db02d5a064b59567b8ae52a4084ba17430d99c'
  checksumType  = 'sha256'
  checksum64    = 'be1d02379d24be3a843d066fe6db02d5a064b59567b8ae52a4084ba17430d99c'
  checksumType64= 'sha256'

  silentArgs    = "/S"
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
